/*
Title:      Storesprite Ecommerce - Javascript Utilities
Author:     vince@storesprite.com - www.storesprite.com
Copyright:  2010 Lamp Design Ltd t/a Storesprite.  All rights resevered.
*/
/* Switches stock stats for multi option products */
var lastDiv = "";
var lastProd = ""; 
function showDiv(divName, productID) {
	if (productID == lastProd) {
		$("#"+lastDiv).hide();
		$("#"+divName).fadeIn(".visible-div-"+productID);
	} else {
		$(".visible-div-"+productID).hide();
		$("#"+divName).fadeIn(".visible-div-"+productID);
	}
	lastProd = productID;
	lastDiv = divName;
}
/* Opens Pop Ups for Invoices */
function win(filetoopen) {
	window.open(filetoopen,"","scrollbars=yes,height=480,width=640,left=60,top=60");
}
$(document).ready(function(){
	/* Make grid products & categories 'clickable' */
	var block = $(".category, .viewproduct-holder-grid");
	block.click(function(){
		window.location = $(this).find("a:first").attr("href")
	});
	block.addClass("clickable");
	block.hover(function(){
		window.status = $(this).find("a:first").attr("href")
	}, function(){
		window.status = ""
	})
	/* Apply CSS Classes that fail w3 Validation */
	$(".category-show").css({ opacity: 0.85 });
	$("#container,.notes,#footerinside,#messages,#splash,#h-basket-total").css("border-radius","6px");
	$("#container,.notes,#footerinside,#messages,#splash,#h-basket-total").css("-moz-border-radius","6px");
	$("#container,.notes,#footerinside,#messages,#splash,#h-basket-total").css("-webkit-border-radius","6px");
	if ($.browser.msie && parseInt($.browser.version) == 7) {
  	/* Don't do the button stuff */
	} else {
	$(".form-button").css("background","-moz-linear-gradient(0% 100% 90deg,#63a62f, #7fbf4d)");
	$(".form-button").css("background","-webkit-gradient(linear, 0% 0%, 0% 100%, from(#7fbf4d), to(#63a62f))");
	$(".form-button").css("filter","progid:DXImageTransform.Microsoft.gradient(startColorstr=#7fbf4d, endColorstr=#63a62f)");  
	$(".form-button").css("-moz-border-radius","2px");
	$(".form-button").css("-webkit-border-radius","2px");
	$(".form-button").css("-moz-box-shadow","inset 0 1px 0 0 #96ca6d");
	$(".form-button").css("-webkit-box-shadow","inset 0 1px 0 0 #96ca6d");
	$(".form-button").css("border-radius","2px");
	$(".form-button").css("box-shadow","inset 0 1px 0 0 #96ca6d");
	$(".form-button").css("text-shadow","1px 1px 0 #3D7D16");
	$(".form-button:hover").css("background","-moz-linear-gradient(0% 100% 90deg,#5a962c, #72ac45)");
	$(".form-button:hover").css("background","-webkit-gradient(linear, 0% 0%, 0% 100%, from(#72ac45), to(#5a962c))");
	$(".form-button:active").css("box-shadow","none");
	}
	$("#lightbox-nav-btnPrev, #lightbox-nav-btnNext").css("zoom: 1");
	$("#micro-basket").css("border-radius","0 0 4px 4px");
	$("#micro-basket").css("-moz-border-radius","0 0 4px 4px");
	$("#micro-basket").css("-webkit-border-radius","0 0 4px 4px");
	$(".general-tabs ul li,.displayproduct-tabs ul li").css("border-radius","6px 6px 0 0");
	$(".general-tabs ul li,.displayproduct-tabs ul li").css("-moz-border-radius","6px 6px 0 0");
	$(".general-tabs ul li,.displayproduct-tabs ul li").css("-webkit-border-radius","6px 6px 0 0");
	$("#footerinside h4").css("text-shadow","1px 1px 0 #737A7F");
	/* Alternate table row colours */
	$(".alt:even").css("background-color", "#EFF3F6");
	$(".alt:odd").css("background-color", "#fff").css("border-top", "1px solid #ddd");
    /* Copy pagination above content & remove if empty */  
	$('#paginate').clone().appendTo('#pagination-duplication');
	$("#paginate:empty").remove();	
	/* Copy discount code message above basket & remove if empty */
	$('#discount-message').clone().appendTo('#discount-message-dup');
	$("#discount-message:empty").remove();	
	/* Remove empty address lines & keep populated ones tidy */
	$(".company:empty").remove();
	$(".address-2:empty").remove();
	$(".company").append('<br />');
	$(".address-2").append('<br />');
	/* Toggle sign in and forgot password divs */
	$("#forget").click(function(event) {
		event.preventDefault();
		$("#signin").slideUp();
		$("#forgetdiv").slideToggle();
		$("#loginemail2").focus();
	});
	$("#forgetdiv a").click(function(event) {
		event.preventDefault();
		$("#forgetdiv").slideUp();
		$("#signin").slideDown();
		$("#loginemail").focus();
	});
	/* Toggle add address form and focus field */
	$("#addadd").click(function(event) {
		event.preventDefault();
		$("#adddiv").slideDown();
		$('html,body').animate({scrollTop: $("#adddiv").offset().top},'slow');
		$("#first_name").focus();
	});
	$("#adddiv a").click(function(event) {
		event.preventDefault();
		$("#adddiv").slideUp();
	});
    /* Copy gallery image div above content & remove if empty */  
	$('#displayproduct-galleryimages').clone().appendTo('#displayproduct-galleryshow');
	$("#displayproduct-galleryimages:empty").remove();	
	/* Lightbox code */
	$('#displayproduct-galleryshow a,#displayproduct-image a').lightBox({fixedNavigation:true});
});
/* Submit basket update form upon selector change or 'save' link click */
function do_postage() {
	document.selectpostage.submit();
}
